%define version 0.0.11
%define release 1
%define prefix /usr

Name: goose
Version: %version
Release: %release 
Summary: Goose is a LGPLed C++ library dedicated to statistical computation 
Copyright: LGPL
Group: Development/Libraries
Packager: Kevin I-Sen Lai <laik@cs.stanford.edu>
Source: ftp://ftp.gnu.org/pub/gnu/goose/goose-%{version}.tar.gz
URL: http://www.gnu.org/software/goose/goose.html
Docdir: %{prefix}/doc

#Patch0: 

%description
Goose is a LGPLed C++ library dedicated to statistical computation.
The two design goals of this project are: 1) to create a useful and
complete system that takes advantage of C++'s features to improve the
clarity of statistical code and that is easier to use for programmers
and 2) to produce a complete set of Guile bindings, exporting all of
the C++ library's functionality to that environment.

A third, ancillary goal is to provide statistical functionality for
Guppi, the Gnome plotting and data-visualization program. 

%prep
%setup
#%patch0 -p1
#rm -f *.orig

%build
sh ./configure --prefix=%prefix
make

%install
make install
cp -a config.h %{prefix}/include/goose

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO 
%{prefix}/include/goose
%{prefix}/lib/libgoose-containers.*
%{prefix}/lib/libgoose-linear.*
%{prefix}/lib/libgoose-specfns.*
%{prefix}/lib/libgoose-stats.*
%{prefix}/lib/libgoose-util.*
%{prefix}/bin/goose-config
%{prefix}/share/aclocal/goose.m4
%{prefix}/info/goose-ref.info

